aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xapp/crypt/gnupg2/gnupg2.SlackBuild25
-rwxr-xr-xapp/crypt/pgpdump/pgpdump.SlackBuild23
-rwxr-xr-xdev/libs/libassuan/libassuan.SlackBuild23
-rwxr-xr-xdev/libs/libgcrypt/libgcrypt.SlackBuild23
-rwxr-xr-xdev/libs/libgpg-error/libgpg-error.SlackBuild23
-rwxr-xr-xdev/libs/libksba/libksba.SlackBuild23
-rwxr-xr-xdev/libs/libpth/libpth.SlackBuild23
-rwxr-xr-xnet/firewall/arno-iptables-firewall/arno-iptables-firewall.SlackBuild21
-rwxr-xr-xothers/generic/generic.SlackBuild4
-rwxr-xr-xsci/electronics/gtkwave/gtkwave.SlackBuild63
-rwxr-xr-xsci/electronics/iverilog/iverilog.SlackBuild30
-rwxr-xr-xsci/electronics/ivi/ivi.SlackBuild23
-rwxr-xr-xsys/apps/microcode_ctl/microcode_ctl.SlackBuild23
13 files changed, 185 insertions, 142 deletions
diff --git a/app/crypt/gnupg2/gnupg2.SlackBuild b/app/crypt/gnupg2/gnupg2.SlackBuild
index 68b79444..8d2bbd9c 100755
--- a/app/crypt/gnupg2/gnupg2.SlackBuild
+++ b/app/crypt/gnupg2/gnupg2.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# gnupg2.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# gnupg2.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# gnupg2.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# gnupg2.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for gnupg2 (GNU Privacy Guard v2)
# http://www.gnupg.org/
@@ -30,7 +33,7 @@ CWD="$(pwd)"
SRC_NAME="gnupg"
PKG_NAME="gnupg2"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=2.0.3}
+SRC_VERSION=${VERSION:=2.0.4}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -114,7 +117,7 @@ cd "$PKG_SRC"
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
diff --git a/app/crypt/pgpdump/pgpdump.SlackBuild b/app/crypt/pgpdump/pgpdump.SlackBuild
index 1a64e530..42fca565 100755
--- a/app/crypt/pgpdump/pgpdump.SlackBuild
+++ b/app/crypt/pgpdump/pgpdump.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# pgpdump.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# pgpdump.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# pgpdump.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# pgpdump.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for pgpdump
# http://pgp.iijlab.net/pgpdump.html
@@ -84,7 +87,7 @@ tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TA
cd "$PKG_SRC"
# Configure
-CFLAGS="$SLKCFLAGS" ./configure "$CONF_OPTIONS" || exit $ERROR_CONF
+CFLAGS="$SLKCFLAGS" ./configure $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
diff --git a/dev/libs/libassuan/libassuan.SlackBuild b/dev/libs/libassuan/libassuan.SlackBuild
index e253faee..cf173a39 100755
--- a/dev/libs/libassuan/libassuan.SlackBuild
+++ b/dev/libs/libassuan/libassuan.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# libassuan.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# libassuan.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# libassuan.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# libassuan.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for libassuan
# http://www.gnupg.org/(en)/related_software/libassuan/
@@ -114,7 +117,7 @@ cd "$PKG_SRC"
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
diff --git a/dev/libs/libgcrypt/libgcrypt.SlackBuild b/dev/libs/libgcrypt/libgcrypt.SlackBuild
index aada8b70..5c758987 100755
--- a/dev/libs/libgcrypt/libgcrypt.SlackBuild
+++ b/dev/libs/libgcrypt/libgcrypt.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# libgcrypt.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# libgcrypt.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# libgcrypt.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# libgcrypt.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for libgcrypt
# http://directory.fsf.org/security/libgcrypt.html
@@ -114,7 +117,7 @@ cd "$PKG_SRC"
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
diff --git a/dev/libs/libgpg-error/libgpg-error.SlackBuild b/dev/libs/libgpg-error/libgpg-error.SlackBuild
index 5da1556f..bb1761c7 100755
--- a/dev/libs/libgpg-error/libgpg-error.SlackBuild
+++ b/dev/libs/libgpg-error/libgpg-error.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# libgpg-error.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# libgpg-error.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# libgpg-error.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# libgpg-error.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for libgpg-error
# http://www.gnupg.org/(en)/related_software/libgpg-error/
@@ -114,7 +117,7 @@ cd "$PKG_SRC"
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
diff --git a/dev/libs/libksba/libksba.SlackBuild b/dev/libs/libksba/libksba.SlackBuild
index 02bab14b..b6f30b28 100755
--- a/dev/libs/libksba/libksba.SlackBuild
+++ b/dev/libs/libksba/libksba.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# libksba.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# libksba.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# libksba.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# libksba.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for libksba
# http://www.gnupg.org/(en)/related_software/libksba/
@@ -114,7 +117,7 @@ cd "$PKG_SRC"
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
diff --git a/dev/libs/libpth/libpth.SlackBuild b/dev/libs/libpth/libpth.SlackBuild
index 0eee8be5..e8c096df 100755
--- a/dev/libs/libpth/libpth.SlackBuild
+++ b/dev/libs/libpth/libpth.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# libpth.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# libpth.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# libpth.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# libpth.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for pth (GNU Portable Threads)
# http://www.gnu.org/software/pth/
@@ -131,7 +134,7 @@ cd "$PKG_SRC"
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
diff --git a/net/firewall/arno-iptables-firewall/arno-iptables-firewall.SlackBuild b/net/firewall/arno-iptables-firewall/arno-iptables-firewall.SlackBuild
index a73a9cb9..736ba5a9 100755
--- a/net/firewall/arno-iptables-firewall/arno-iptables-firewall.SlackBuild
+++ b/net/firewall/arno-iptables-firewall/arno-iptables-firewall.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# arno-iptables-firewall.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# arno-iptables-firewall.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# arno-iptables-firewall.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# arno-iptables-firewall.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for arno-iptables-firewall
# http://rocky.eld.leidenuniv.nl/page/iptables/iptframe.htm
diff --git a/others/generic/generic.SlackBuild b/others/generic/generic.SlackBuild
index 5accf66a..b1b1299d 100755
--- a/others/generic/generic.SlackBuild
+++ b/others/generic/generic.SlackBuild
@@ -1,7 +1,7 @@
###################################################
## Generic template for SlackBuilds
##
-## Version 0.8.3 - Luis ( luis at riseup d0t net)
+## Version 0.8.4 - Luis ( luis at riseup d0t net)
##
###################################################
#!/bin/bash
@@ -134,7 +134,7 @@ done
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
diff --git a/sci/electronics/gtkwave/gtkwave.SlackBuild b/sci/electronics/gtkwave/gtkwave.SlackBuild
index e7c0aa7e..3d000699 100755
--- a/sci/electronics/gtkwave/gtkwave.SlackBuild
+++ b/sci/electronics/gtkwave/gtkwave.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# gtkwave.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# gtkwave.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# gtkwave.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# gtkwave.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for GTKWave
# http://home.nc.rr.com/gtkwave/
@@ -29,8 +32,8 @@ fi
CWD="$(pwd)"
SRC_NAME="gtkwave"
PKG_NAME="gtkwave"
-ARCH="i486"
-SRC_VERSION=${VERSION:=3.0.22}
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=3.0.29}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -42,6 +45,22 @@ PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=}
NUMJOBS=${NUMJOBS:=-j4}
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
# Set error codes (used by createpkg)
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
@@ -65,28 +84,16 @@ if [ ! -s "$SRC_DIR/$SRC" ] || ! gzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-# Check if GTKWave should be built for GTK+-2.x (default,
-#+if both are available) or 1.x
-pkg-config gtk+-2.0 --libs 1> /dev/null 2> /dev/null
-if [ $? == 0 ]; then
- GTK_VERSION=2
-else
- gtk-config --libs 1> /dev/null 2> /dev/null
- if [ $? == 0 ]; then
- GTK_VERSION=1
- else
- echo "ERROR: GTKWave requires either GTK+-1.x or 2.x"
- exit $ERROR_CONF
- fi
-fi
-
# Untar
cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
# Configure
-echo $GTK_VERSION | ./configure "$CONF_OPTIONS" || exit $ERROR_CONF
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
@@ -118,7 +125,7 @@ if [ -d "$PKG/$PREFIX/man" ]; then
fi
# Install documentation
-DOCS="*.TXT doc/gtkwave.odt examples"
+DOCS="*.TXT"
mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
diff --git a/sci/electronics/iverilog/iverilog.SlackBuild b/sci/electronics/iverilog/iverilog.SlackBuild
index 8dba36b3..b2c49fa5 100755
--- a/sci/electronics/iverilog/iverilog.SlackBuild
+++ b/sci/electronics/iverilog/iverilog.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# iverilog.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# iverilog.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# iverilog.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# iverilog.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for iverilog (Icarus Verilog)
# http://www.icarus.com/eda/verilog/
@@ -30,7 +33,7 @@ CWD="$(pwd)"
SRC_NAME="verilog"
PKG_NAME="iverilog"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=0.8.3}
+SRC_VERSION=${VERSION:=0.8.4}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -89,13 +92,16 @@ cd "$PKG_SRC"
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
- ./configure "$CONF_OPTIONS" || exit $ERROR_CONF
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
# Install
-make install prefix="$PKG/$PREFIX" || exit $ERROR_INSTALL
+make install \
+ prefix="$PKG/$PREFIX" libdir="$PKG/$LIBDIR" \
+ libdir64="$PKG/$LIBDIR" vpidir="$PKG/$LIBDIR" || exit $ERROR_INSTALL
# Strip binaries
( cd "$PKG"
diff --git a/sci/electronics/ivi/ivi.SlackBuild b/sci/electronics/ivi/ivi.SlackBuild
index 15b0166e..66c9c5fc 100755
--- a/sci/electronics/ivi/ivi.SlackBuild
+++ b/sci/electronics/ivi/ivi.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# ivi.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# ivi.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# ivi.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# ivi.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for IVI (Icarus Verilog Interactive) v0.4-pre-20031121
# http://sourceforge.net/projects/ivi
@@ -83,7 +86,7 @@ for patch in $patches; do
done
# Configure
-./configure "$CONF_OPTIONS" || exit $ERROR_CONF
+./configure $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make "$NUMJOBS" || exit $ERROR_MAKE
diff --git a/sys/apps/microcode_ctl/microcode_ctl.SlackBuild b/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
index f9195e98..6671900c 100755
--- a/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
+++ b/sys/apps/microcode_ctl/microcode_ctl.SlackBuild
@@ -1,16 +1,19 @@
#!/bin/bash
#
-# microcode_ctl.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# microcode_ctl.SlackBuild is free software; you can redistribute
+# it and/or # modify it under the terms of the GNU General Public
+# License as published by # the Free Software Foundation; either
+# version 2 of the License, or any later version.
#
-# microcode_ctl.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# microcode_ctl.SlackBuild is distributed in the hope that it
+# will be useful, # but WITHOUT ANY WARRANTY; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA
#
# SlackBuild for microcode_ctl
# http://urbanmyth.org/microcode/
@@ -30,7 +33,7 @@ CWD="$(pwd)"
SRC_NAME="microcode_ctl"
PKG_NAME="microcode_ctl"
ARCH="i486"
-SRC_VERSION=${VERSION:=1.16}
+SRC_VERSION=${VERSION:=1.17}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1ls}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME